Subject: Re: how to distinguish call leg if both From and To are same

From: "Anoop Tripathi" <[email-masked]>
Date: Thu, 20 May 1999 11:04:29 -0500

Sorry for confusion.

A BYE  from Originating User Agent will have :

From: sip:<calling number here>@1.1.1.1
To: sip:[email-masked]

A BYE from terminating User Agent will have :

From: sip:[email-masked]
To: sip:<calling number here>@1.1.1.1

But an OK for both these BYEs will have

From: sip:<calling number here>@1.1.1.1
To: sip:[email-masked]

So , if I don't use tag header , I cannot distinguish who sent the OK.

Anoop

Jonathan Rosenberg <[email-masked]> on 05/20/99 09:42:03 AM

Sent by:  Jonathan Rosenberg <[email-masked]>

To:   Anoop Tripathi/MW/US/3Com
cc:   [email-masked]
Subject:  Re: how to distinguish call leg if both From and To are same

(Moving this to confctrl where it belongs)

I don't know how you reach this conclusion from 16.3. The flows there
(none of which are for BYE, by the way), all have To and From mirrored
in the responses. Section 16.4 mentions BYE, but has no response in the
example.

The correct behavior is that the To and From are mirrored in responses,
with the possible addition of a tag in the To field.

-Jonathan R.

Anoop Tripathi wrote:
>
> RFC 2543 Dated March 1999
>
> Section 16.3 :
>
> The message flow shows that for responses the From and To fields are not
> mirrored.
>
> So , I guess to distinguish a call leg , I always need the tag header.
>
> Note: This is a problem only for the 200 OK response for a BYE.
>
> Thanks,
>
> Anoop
>
> Jonathan Rosenberg <[email-masked]> on 05/19/99 10:25:33 PM
>
> Sent by:  Jonathan Rosenberg <[email-masked]>
>
> To:   Anoop Tripathi/MW/US/3Com
> cc:   [email-masked]
> Subject:  Re: how to distinguish call leg if both From and To are same
>
> Same answer. Based on the To and From fields. The response to any
> request mirrors the To and From, with the possible addition of a tag in
> the To field.
>
> -Jonathan R.
>
> Anoop Tripathi wrote:
> >
> > Thanks for clearing my doubt on BYE message call leg finding.
> >
> > Going further on the same question :
> >
> > Now I have one on the 200 Response for a BYE message.
> >
> > On  a proxy,
> >
> > When I get a 200 OK Response for a BYE ,
> >
> > How do I find out which leg of the call sent it.
> >
> > Thanks,
> >
> > Anoop
> >
> > Jonathan Rosenberg <[email-masked]> on 05/14/99 10:33:05 PM
> >
> > Sent by:  Jonathan Rosenberg <[email-masked]>
> >
> > To:   Anoop Tripathi/MW/US/3Com
> > cc:   [email-masked]
> > Subject:  Re: how to distinguish call leg if both From and To are same
> >
> > Anoop Tripathi wrote:
> > >
> > > Assume an SCN to IP interworking Client ( previously a H323 GW now
runnning
> > SIP
> > > ).
> > >
> > > It registers with proxy server(2.2.2.2)  as
> > >
> > > [email-masked]
> >
> > Well, first off, SIP registrations don't support wildcarding like this.
> > If you want to establish routing tables for phone calls (which is what
> > this is) use the Gateway Location Protocol (GLP), not SIP registrations.
> >
> > >
> > > A call arrive on the PRI line for phone number (312)2222222 .
> > >
> > > The SIP Client  sends the request to proxy as follows:
> > >
> > > Request URI : [email-masked]
> > > Call Id        : 1234
> > >           To :      2.2.2.2
> > >           From :    1.1.1.1
> > >
> > John mentioned that:
> >
> > > Anoop,
> > >
> > >  The BYE request in your example will be as follows if it came from
> > > the calling party:
> > >
> > > Callid         : 1234
> > >           To :      [email-masked]
> > >           From :    [email-masked]
> >
> > The same basic idea is true for your INVITE. It should look like, from
> > the calling gateway to proxy:
> >
> > INVITE sip:[email-masked] SIP/2.0
> > From: sip:<calling number here>@1.1.1.1
> > To: sip:[email-masked]
> > .....
> >
> > and from proxy to terminating gateway (same gateway):
> >
> > INVITE sip:[email-masked] SIP/2.0
> > From: sip:<calling number here>@1.1.1.1
> > To: sip:[email-masked]
> > .....
> >
> > Now, if the terminating gateway sends BYE, the To and From are reversed.
> > If the originating gateway sends BYE, they are the same, as John has
> > mentioned.
> >
> > I should also note that since the calling gateway has a destination
> > number that is a plain phone number, it probably shouldn't append the
> > 2.2.2.2 (which is the proxy address) to get a SIP URI, but rather place
> > a phone URI in the To field instead of the SIP URI, and then let the
> > proxy translate the phone URI (phone:3122222222) into a SIP URI
> > (sip:[email-masked]), which gets place in the Request URI of the
> > proxied request.
> >
> > -Jonathan R.
> >
> > --
> > Jonathan D. Rosenberg                       Lucent Technologies
> > Member of Technical Staff                   101 Crawfords Corner Rd.
> > High Speed Networks Research                Holmdel, NJ 07733
> > FAX: (732) 834-5379                         Rm. 4C-526
> > EMAIL: [email-masked]
> > URL: http://www.cs.columbia.edu/~jdrosen
>
> --
> Jonathan D. Rosenberg                       Lucent Technologies
> Member of Technical Staff                   101 Crawfords Corner Rd.
> High Speed Networks Research                Holmdel, NJ 07733
> FAX: (732) 834-5379                         Rm. 4C-526
> EMAIL: [email-masked]
> URL: http://www.cs.columbia.edu/~jdrosen

--
Jonathan D. Rosenberg                       Lucent Technologies
Member of Technical Staff                   101 Crawfords Corner Rd.
High Speed Networks Research                Holmdel, NJ 07733
FAX:   (732) 834-5379                       Rm. 4C-526
EMAIL: [email-masked]
URL: http://www.cs.columbia.edu/~jdrosen

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 20 May 1999 11:50:36 -0400

> From: sip:<calling number here>@1.1.1.1

No. A 200 OK for the first BYE looks like:

SIP/2.0 200 OK

and for the second BYE:

SIP/2.0 200 OK

As I have said: *the To and From fields are mirrored in the response to
a request, with the possible addition of a Tag in the To field*.

-Jonathan R.